/Users/bernard/b20/bsoft/src/bmodcomp.cpp(3)

NAME
/Users/bernard/b20/bsoft/src/bmodcomp.cpp - A tool to compare polyhedra.

SYNOPSIS

#include 'rwmodel.h'
#include 'model_select.h'
#include 'model_poly.h'
#include 'model_compare.h'
#include 'model_util.h'
#include 'utilities.h'
#include 'options.h'
#include 'timer.h'

  Functions
int main (int argc, char **argv)

  Variables
int verbose
const char * use []

Detailed Description

A tool to compare polyhedra.

Author:
    Bernard Heymann

Date:
    Created: 20080102

    Modified: 20190125

Definition in file bmodcomp.cpp.

Function Documentation

  int main (int argc, char ** argv)

Definition at line 49 of file bmodcomp.cpp.

Variable Documentation

  const char* use[]
Initial value:

= {
" ",
"Usage: bmodcomp [options] in.star",
"---------------------------------",
"Compares models internally or to reference models.",
" ",
"Actions:",
"-all                     Select all models for comparison.",
"-distance                Calculate a distance matrix.",
"-unknown                 Select unknown models for comparison.",
"-closed order,3          Select based on valency (valency,<n>) or polygon order (order,<n>).",
"-consensus 12.5          Calculate a consensus model: components are considered the same if within the given distance.",
" ",
"Parameters:",
"-verbose 7               Verbosity of output.",
" ",
"Input:",
"-parameters parm.star    Molecular parameter file (default atom_prop.star).",
"-reference ref.star      File with reference models.",
" ",
"Output:",
"-output new.star         Output model file.",
"-writereference ref.star Reference output model file.",
" ",
NULL
}

Definition at line 22 of file bmodcomp.cpp.

  int verbose

Author

Generated automatically by Doxygen for Bsoft from the source code.